<?php

namespace App\Models;

class Client extends Eloquent {

	protected $table = 'clients';
	public $timestamps = true;
	protected $fillable = array('name', 'email', 'date_of_birth', 'city_id', 'last_donation_date', 'phone', 'password', 'pin_code');

	public function city()
	{
		return $this->belongsTo('App\Models\City');
	}

	public function bloodType()
	{
		return $this->belongsTo('App\Models\BloodType');
	}

	public function donation_requests()
	{
		return $this->hasMany('App\Models\DonationRequest');
	}

	public function notifications()
	{
		return $this->belongsToMany('App\Models\Notification');
	}

	public function messages()
	{
		return $this->hasMany('App\Models\Message');
	}

	public function posts()
	{
		return $this->belongsToMany('App\Models\Post');
	}

	public function governorates()
	{
		return $this->belongsToMany('App\Models\Governorate');
	}

	public function blood_types()
	{
		return $this->belongsToMany('App\Models\BloodType');
	}

}